complexType "CommodityExercise"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (americanExercise | europeanExercise), settlementCurrency?
</...>

Content Model Elements (3):

  americanExercise (defined in CommodityExercise complexType),
  europeanExercise (defined in CommodityExercise complexType),
  settlementCurrency (defined in CommodityExercise complexType)

All Direct / Indirect Based Elements (2):

  exercise (in commodityOption), | exercise (in commodityOption)

Known Usage Locations

- As direct type of elements (2):

  exercise (in commodityOption), | exercise (in commodityOption)

Annotation
The parameters for defining how the commodity option can be exercised, how it is priced and how it is settled.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityExercise"> <xsd:sequence> <xsd:choice> <xsd:element name="americanExercise" type="CommodityAmericanExercise"/> <xsd:element name="europeanExercise" type="CommodityEuropeanExercise"/> </xsd:choice> <!--View Generation: SKIPPED automaticExercise - Documentation--> <!--View Generation: SKIPPED writtenConfirmation - Documentation--> <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/> <!--View Generation: SKIPPED fx - NonStandardFeature--> <!--View Generation: SKIPPED conversionFactor - Documentation--> <!--View Generation: SKIPPED - NonStandardFeature--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
americanExercise

  Type: | CommodityAmericanExercise, complex content

  The parameters for defining the expiration date for an American option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="americanExercise" type="CommodityAmericanExercise"/>

europeanExercise

  Type: | CommodityEuropeanExercise, complex content

  The parameters for defining the expiration date and time for a European or Asian style option. For an Asian style option the expiration date is equivalent to the termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="europeanExercise" type="CommodityEuropeanExercise"/>

settlementCurrency

  Type: | IdentifiedCurrency, simple content

  The currency into which the Commodity Option Transaction will settle. If this is not the same as the currency in which the Commodity Reference Price is quoted, then an FX determination method should also be specified.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.